Bug 531052 - [anaconda] Live: Error processing drive: /dev/dm-0
[anaconda] Live: Error processing drive: /dev/dm-0
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
Depends On:
Blocks: F12AnacondaBlocker
  Show dependency treegraph
Reported: 2009-10-26 12:56 EDT by Joachim Frieben
Modified: 2010-03-10 16:44 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 539305 (view as bug list)
Last Closed: 2009-11-04 03:09:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda storage log file (107.81 KB, text/plain)
2009-10-26 12:58 EDT, Joachim Frieben
no flags Details
anaconda.log (anaconda-12.41-1.fc12) (24.91 KB, text/plain)
2009-10-29 13:55 EDT, James Laska
no flags Details
program.log (anaconda-12.41-1.fc12) (5.71 KB, text/plain)
2009-10-29 13:55 EDT, James Laska
no flags Details
storage.log (anaconda-12.41-1.fc12) (32.73 KB, text/plain)
2009-10-29 13:56 EDT, James Laska
no flags Details

  None (edit)
Description Joachim Frieben 2009-10-26 12:56:32 EDT
Description of problem:
When searching for storage devices during a live CD install from yesterday's snapshot desktop-i386-20091024.19, an error window pops up complaining that an error has occurred while processing drive /dev/dm-0 (see attached screenshot).
After clicking "Ignore drive" for /dev/dm-0 and likewise for the subsequent error message for /dev/dm-1, the install proceeds as expected.
Clicking "Re-initialize drive" will keep the installer stuck in this step.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot system from desktop-i386-20091024.19 live media.
2. Lauch /usr/bin/liveinst.
3. Proceed to storage step.
Actual results:
Installer reports error processing drive: /dev/dm-0.

Expected results:
Installer launches partitioning tool.

Additional info:
This issue is fairly recent and was not encountered using the F12 Alpha Snap3 live CD.
Comment 1 Joachim Frieben 2009-10-26 12:58:11 EDT
Created attachment 366125 [details]
Anaconda storage log file
Comment 2 dongjibing 2009-10-27 22:46:24 EDT
Please try the newest F12 Beta
Comment 3 CAI Qian 2009-10-28 05:44:42 EDT
Humphrey, 20091024 version supposes to be newer than F12 Beta. From the page,

Beta was announced in 20 Oct.
Comment 4 Phip 2009-10-28 18:56:36 EDT
I believe I have encountered this issue as well. I was running the beta live cd installer to replace my F11 installation. (I updated anaconda to latest 12.39-1 before proceeding.)

My old setup was as follows, create by F11 anaconda except for /home which was kept from a F9 or F10 install.
/dev/sda1 ext3 196MB /boot
/dev/sda4 ext4 7993MB / (encrypted)
/dev/sda2 swap 1537MB
/dev/sda3 ext3 66589MB /home (encrypted)

As the OP described, the "Error processing drive" message comes up twice, in my case reading:

Linux device-mapper (snapshot)

Linux device-mapper (snapshot)

I did not recoginize the 3067MB size as any of my own, so the first time the message came up I suspected a problem with the persistent live image. I re-copied the image and got the error once again. This time I clicked "Re-Initalize Drive". The dialog went away immediately, it did not seem like it did anything to my hard disk. At that point I exited the installer and booted from my local disk. /boot and / mounted correctly, but for /home:

fsck.ext3: bad magic number in super-block while trying to open /dev/mapper/luks-90a5cc4a-...
The superblock could not be read or does not describe a correct ext2 filesystem. If the device is valid ... then the superblock is corrupt, and you might try running e2fsck with an alternate superblock:
e2fsck -b 8193 <device>

So, that's where I am for now. Strange that only one of my partitions was impacted. I hold out hope I could get /home to mount again, but am currently stumped. It is hard to believe all 60GB were wiped out in about a second, but maybe that is the case. I at least wanted to report what seems like a serious problem with F12Beta live / anaconda.
Comment 5 Jens Petersen 2009-10-28 22:52:54 EDT
I see this myself too with current rawhide spins.

I think this is a F12Blocker candidate.
Comment 6 Chris Lumens 2009-10-29 10:24:05 EDT
Can you attach the output of ls -l /dev/live* to this bug report?  Thanks.
Comment 7 James Laska 2009-10-29 13:47:35 EDT
(In reply to comment #6)
> Can you attach the output of ls -l /dev/live* to this bug report?  Thanks.  

Testing with anaconda-12.41-1.fc12.i686

# ls -l /dev/live*
lrwxrwxrwx. 1 root root 3 2009-10-29 13:38 /dev/live -> sr0
Comment 8 James Laska 2009-10-29 13:55:13 EDT
Created attachment 366674 [details]
anaconda.log (anaconda-12.41-1.fc12)

After clicking "ignore" for both /dev/dm-0 and /dev/dm-1, I am able to proceed with the installation.  Attaching the anaconda.log, storage.log and program.log that demonstrate clicking "ignore".
Comment 9 James Laska 2009-10-29 13:55:40 EDT
Created attachment 366675 [details]
program.log (anaconda-12.41-1.fc12)
Comment 10 James Laska 2009-10-29 13:56:23 EDT
Created attachment 366676 [details]
storage.log (anaconda-12.41-1.fc12)
Comment 11 Máirín Duffy 2009-10-29 15:56:51 EDT
this happened to me with the 28-oct-2009 nightly desktop live cd just now.
Comment 12 Joachim Frieben 2009-10-30 02:40:11 EDT
Testing with anaconda-12.39-1.fc12.i686

$ ls -l /dev/live*
lrwxrwxrwx. 1 root root 3 2009-10-30 03:28 /dev/live -> sr0
Comment 13 David Lehman 2009-10-30 12:19:52 EDT
Fixed by commits 447db7bf1f6c and 080f12b6d4ee, which will be in anaconda-12.42-1.
Comment 14 Adam Williamson 2009-10-30 12:41:19 EDT
Discussed at blocker meeting, accepted as a blocker. Please re-test when the next anaconda build is available and included in images.

Fedora Bugzappers volunteer triage team
Comment 15 Adam Williamson 2009-10-31 00:51:56 EDT
this is in the 12.42 build:


tag request:


Fedora Bugzappers volunteer triage team
Comment 16 Bill Nottingham 2009-11-02 16:28:29 EST
This will be in tomorrow's (20091103) rawhide - please retest with that!
Comment 17 Adam Williamson 2009-11-03 21:24:43 EST
can someone please confirm this is fixed with today's Rawhide?

spins are at:



Fedora Bugzappers volunteer triage team
Comment 18 Liam Li 2009-11-04 03:09:40 EST
this issue fixed on liveCD 2009-11-03, so close rawhide
Comment 19 Dave Jones 2009-11-19 15:18:52 EST
This bug appears to be back.
I am booting from a live-usb and it is trying to initialize the USB stick.
Ignoring the error lets the install continue.

Comment 20 Angelo Neacsu 2009-12-07 05:26:05 EST
I have the same issue with my upgrade from a preupgrade utility:
Error processing drive:

RAID1 Array

I don't want to test a click on Re-initialize drive :)
Comment 21 Dave Jones 2010-03-10 16:44:08 EST
mv'ing /lib/udev/rules.d/70-anaconda.rules to /lib/udev/rules.d/70-anaconda.rules.old
to fix "Bug 453095 - Cd tray is closed automatically after ejecting"
was the cause in my case.

Putting 'echo "dev.cdrom.autoclose = 0" >> /etc/sysctl.conf' in my kickstart file instead looks like it may solve both issues.

Note You need to log in before you can comment on or make changes to this bug.